import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Observable, Subscription } from 'rxjs';
import { DisplayMode, CaseEventTrigger, CaseView, Activity, CaseEventData } from '../../../domain';
import { CaseService, CasesService } from '../../case-editor';
import { AlertService, ActivityPollingService } from '../../../services';
import { CaseReferencePipe } from '../../../pipes';
import { NgZone } from '@angular/core';
export declare class CaseEventTriggerComponent implements OnInit, OnDestroy {
    private ngZone;
    private casesService;
    private caseService;
    private router;
    private alertService;
    private route;
    private caseReferencePipe;
    private activityPollingService;
    BANNER: DisplayMode;
    eventTrigger: CaseEventTrigger;
    caseDetails: CaseView;
    subscription: Subscription;
    parentUrl: string;
    constructor(ngZone: NgZone, casesService: CasesService, caseService: CaseService, router: Router, alertService: AlertService, route: ActivatedRoute, caseReferencePipe: CaseReferencePipe, activityPollingService: ActivityPollingService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    postEditActivity(): Observable<Activity[]>;
    submit(): (sanitizedEditForm: CaseEventData) => Observable<object>;
    validate(): (sanitizedEditForm: CaseEventData, pageId: string) => Observable<object>;
    submitted(event: any): void;
    cancel(): Promise<boolean>;
    isDataLoaded(): boolean;
}
